中危 .NET Core 和 Visual Studio 拒绝服务漏洞

CVE编号

CVE-2021-26423

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-08-10
漏洞描述
Microsoft.NET Core提供了一个快速的模块化平台,用于创建在Windows,Linux和macOS上运行的服务器应用程序。
Microsoft .NET Core和Visual Studio存在拒绝服务漏洞。攻击者可利用该漏洞导致目标系统停止响应。

受影响系统:
Microsoft Visual Studio 2019 16.9(包括16.0-16.8)
Microsoft Visual Studio 2019 16.7 (包括16.0-16.6)
Microsoft Visual Studio 2019 16.4 (包括16.0-16.3)
Microsoft Visual Studio 2019 16.10 (包括16.0-16.9)
Microsoft Visual Studio 2017 15.9 (包括15.0-15.8)
Microsoft .NET Core 3.1
Microsoft .NET Core 2.1
Microsoft .NET 5.0
Microsoft Visual Studio 2019 for Mac 8.10


解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2021-26423
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 microsoft .net * From
(including)
5.0
Up to
(including)
5.0.8
运行在以下环境
应用 microsoft .net_core * From
(including)
2.1
Up to
(including)
2.1.28
运行在以下环境
应用 microsoft .net_core * From
(including)
3.1
Up to
(including)
3.1.17
运行在以下环境
应用 microsoft powershell_core * From
(including)
7.0
Up to
(excluding)
7.0.7
运行在以下环境
应用 microsoft powershell_core * From
(including)
7.1
Up to
(excluding)
7.1.4
运行在以下环境
应用 microsoft visual_studio_2017 * From
(including)
15.0
Up to
(including)
15.9
运行在以下环境
应用 microsoft visual_studio_2019 * From
(including)
16.0
Up to
(including)
16.10
运行在以下环境
应用 microsoft visual_studio_2019 8.10 -
运行在以下环境
系统 centos_8 dotnet-templates-3.1 * Up to
(excluding)
3.1.18-1.el8_4
运行在以下环境
系统 oracle_8 dotnet-templates-3.1 * Up to
(excluding)
3.1.18-1.0.1.el8_4
运行在以下环境
系统 redhat_8 dotnet-templates-3.1 * Up to
(excluding)
3.1.18-1.el8_4
阿里云评分
6.9
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
NVD-CWE-noinfo
阿里云安全产品覆盖情况